Bug 432694 - boost python headers cause compile error with gcc-4.3
boost python headers cause compile error with gcc-4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Benjamin Kosnik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-13 16:24 EST by Hans de Goede
Modified: 2013-08-09 01:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-14 09:53:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
GCC 4.3 fixes for vegastrike (4.52 KB, patch)
2008-02-14 10:06 EST, Petr Machata
no flags Details | Diff

  None (edit)
Description Hans de Goede 2008-02-13 16:24:31 EST
Description of problem:

Try building vegastrike:
cvs co vegastrike
cd vegastrike/devel
make x86_64

Actual results:
-The build stops with this error:
In file included from /usr/include/boost/python/class.hpp:29,
                 from ../../../src/python/python_class.h:17,
                 from hard_coded_scripts.cpp:9:
/usr/include/boost/python/detail/def_helper.hpp:192: error: declaration of
'typename boost::python::detail::keyword_extract<boost::tuples::tuple<const T1&,
const T2&, const T3&, const T4&, boost::python::default_call_policies,
boost::python::detail::keywords<0ul>, const char*, void
(boost::python::detail::not_specified::*)(), boost::tuples::null_type,
boost::tuples::null_type> >::result_type boost::python::detail::def_helper<T1,
T2, T3, T4>::keywords() const'
/usr/include/boost/python/args_fwd.hpp:35: error: changes meaning of 'keywords'
from 'struct boost::python::detail::keywords<0ul>'


Expected results:
A successfully completed build.


Additional info:
This was done on a fully up2date rawhide x86_64 machine.
Comment 1 Petr Machata 2008-02-14 09:53:59 EST
Fixed in rawhide.  If you want to get hands on the new package immediately,
fetch rpms from here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=426453
Comment 2 Petr Machata 2008-02-14 10:06:32 EST
Created attachment 294913 [details]
GCC 4.3 fixes for vegastrike

I also did a full build of Vega Strike to make sure it doesn't uncover other
bugs in boost, and had to fix a bunch of #include problems to get it fixed.  I
guess I can just make the patch available should you find it useful.
Comment 3 Hans de Goede 2008-02-14 10:16:46 EST
(In reply to comment #2)
> Created an attachment (id=294913) [edit]
> GCC 4.3 fixes for vegastrike
> 
> I also did a full build of Vega Strike to make sure it doesn't uncover other
> bugs in boost, and had to fix a bunch of #include problems to get it fixed.  I
> guess I can just make the patch available should you find it useful.

Thanks thats very helpful! And also thanks for quickly fixing this!


Note You need to log in before you can comment on or make changes to this bug.